function s = compsums(data,modpar,baspar,Wmc0,Emc0)
% Computes sums of expectations for WFRe by invoking Fortran gateway
%   program compsums_gtw.f
%
% INPUT: Structs DATA, MODPAR and BASPAR as in WFRe; matrices Wmc0 and Emc0
%           are the basic Monte Carlo samples for the integrals.
%
% OUTPUT: struct S with the necessary sums.
%
[Sw0w0,Snormw2,Sr1_2,Sz0w0,SBBx,SBRx,Snormx2,SuuBBx,SuBxr6,SBBy,SBRy,...
    Snormy2,SvvBBy,SvByr7,f,pred_w,pred_z] = ...
compsums_gtw(data.s,data.t,data.x,data.y,baspar.rs,baspar.rt,...
    ones(1,baspar.nks),ones(1,baspar.nkt),ones(1,baspar.ors),ones(1,baspar.ort),...
    Wmc0,Emc0,modpar.mx,modpar.my,modpar.Cx,modpar.Cy,modpar.s2x,modpar.s2y,...
    modpar.A,modpar.Sw,sqrtm(modpar.Sw),inv(modpar.Sw),modpar.Se,...
    diag(sqrt(diag(modpar.Se))),modpar.taux0,modpar.tauy0);
s = struct('Sw0w0',Sw0w0,'Snormw2',Snormw2,'Sr1_2',Sr1_2,...
    'Sz0w0',Sz0w0,'SBBx',SBBx,'SBRx',SBRx, ...
    'Snormx2',Snormx2,'SuuBBx',SuuBBx,'SuBxr6',SuBxr6, ...
    'SBBy',SBBy,'SBRy',SBRy,'Snormy2',Snormy2,'SvvBBy',SvvBBy, ...
    'SvByr7',SvByr7,'f',f,'pred_w',pred_w,'pred_z',pred_z);
clear compsums_gtw