function d = duplication(n)
% duplication(n)
% Returns Magnus and Neudecker's duplication matrix of size n

% Author: Thomas P Minka (tpminka@media.mit.edu)

  % first method
  a = zeros(n);
  k = 1;
  for j = 1:n
    for i = 1:n
      if i >= j
	a(i,j) = k;
	k = k + 1;
      else
	a(i,j) = a(j,i);
      end
    end
  end
j = a(:);

m = n*(n+1)/2;
d = zeros(n^2,m);
for r = 1:n^2
  d(r, j(r)) = 1;
end
